UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawBlob Class Reference

An LBMSDMRawBlob is a helper class to minimise the effort of formatting and parsing Binary Large OBjects (BLOBs) More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawBlob:

## Public Member Functions
| LBMSDMRawBlob (int len)
| Create a new blob with a specified length. More...
| LBMSDMRawBlob (byte[] b)
| Create a new blob with a specified byte array. More...
| LBMSDMRawBlob (byte[] b, int offset, int size)
| Create a new blob from a part of an existing byte array. More...
| LBMSDMRawBlob (System.String s)
| Create a new blob from a string. Either a basic string can be used or a hex encoded string in the form of x"0123456789abcdef" can be used. This format means byte one will be 0x01, byte two 0x23 etc. More...
virtual int | length ()
| Get the length of the blob. More...
virtual byte[] | get ()
| Get the blob byte array. More...
override System.String | ToString ()
| Get the blob in a hex string format x"1234...." etc. More...
virtual new System.Object | Clone ()
| Get a copy of this blob. More...
virtual System.String | toDbgString ()
| Get a debug string for this object. This is not expected to be called and exists for child classes. More...
virtual void | set_debug_level (int level)
| Set the debug level for processing this SDM message. Currently all debugs go to standard out. More...
virtual void | log (System.String s)
| Log an event. If debug level is set greater than 0, output to stderr. More...

## Public Attributes
const int | DEBUG_BASIC = 1
| Debug flag for basic debug output.
const int | DEBUG_VERBOSE_PARSING = 2
| Debug flag for verbose message parsing output.

## Detailed Description

An LBMSDMRawBlob is a helper class to minimise the effort of formatting and parsing Binary Large OBjects (BLOBs)

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | int | len | ) |

Create a new blob with a specified length.

Parameters

  len | The length of the blob

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | byte[] | b | ) |

Create a new blob with a specified byte array.

Parameters

  b | The buffer to be used for the blob

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | byte[] | b,
|  | int | offset,
|  | int | size
| ) |  |

Create a new blob from a part of an existing byte array.

Parameters

  b | The buffer to be used for the blob
  offset | The offset in the buffer to start copying from
  size | The size of the block to be copied

com.latencybusters.lbm.sdm.LBMSDMRawBlob.LBMSDMRawBlob | ( | System.String | s | ) |

Create a new blob from a string. Either a basic string can be used or a hex encoded string in the form of x"0123456789abcdef" can be used. This format means byte one will be 0x01, byte two 0x23 etc.

Parameters

  s | The string to be used for the blob

## Member Function Documentation

virtual new System.Object com.latencybusters.lbm.sdm.LBMSDMRawBlob.Clone | ( |  | ) |
| virtual

Get a copy of this blob.

Returns
  A cloned object

References com.latencybusters.lbm.sdm.LBMSDMRawBlob.Clone().

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawBlob.Clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.Clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.LBMSDMFieldBlob(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set().

virtual byte [] com.latencybusters.lbm.sdm.LBMSDMRawBlob.get | ( |  | ) |
| virtual

Get the blob byte array.

Returns
  The blobs byte array

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toByteArray(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toDbgString().

virtual int com.latencybusters.lbm.sdm.LBMSDMRawBlob.length | ( |  | ) |
| virtual

Get the length of the blob.

Returns
  The length of the blob

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldBlob.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.get_len(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toDbgString().

virtual void com.latencybusters.lbm.sdm.LBMSDM.log | ( | System.String | s | ) |
| virtual inherited

Log an event. If debug level is set greater than 0, output to stderr.

Parameters

  s | String containing the event to log

virtual void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| virtual inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

Parameters

  level | Debug level to set

virtual System.String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| virtual inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

override System.String com.latencybusters.lbm.sdm.LBMSDMRawBlob.ToString | ( |  | ) |

Get the blob in a hex string format x"1234...." etc.

Returns
  The hex string representing the blob

The documentation for this class was generated from the following file:

- LBMSDMRawBlob.cs